$schema: "https://json-schema.org/draft/2020-12/schema"
title: "ProstateCancerFamilyHistory"
type: "object"
required:
  - first_or_second_degree_family_with_prostate_cancer
properties:
  first_or_second_degree_family_with_prostate_cancer:
    $ref: '#/definitions/FirstOrSecondDegreeFamilyWithProstateCancer'
additionalProperties: false

definitions:
  FirstOrSecondDegreeFamilyWithProstateCancer:
    title: Has a First or Second Degree Family Member Been Diagnosed with Prostate Cancer?
    type: string
    oneOf:
      - type: string
        title: "Yes"
        enum:
          - "YES"
      - type: string
        title: "No"
        enum:
          - "NO"
      - type: string
        title: Unknown
        enum:
          - UNKNOWN